Loading...
Searching...
No Matches
vtoc.in.h File Reference

Go to the source code of this file.

## Data Structures

struct | fdasd_hd_geometry

## Macros

#define | BIG_DISK_SIZE 0x10000
#define | DASD_3380_TYPE 13148
#define | DASD_3380_VALUE 0xbb60
#define | DASD_3390_TYPE 13200
#define | DASD_3390_VALUE 0xe5a2
#define | DASD_9345_TYPE 37701
#define | DASD_9345_VALUE 0xbc98
#define | FIRST_USABLE_CYL 1
#define | FIRST_USABLE_TRK 2
#define | LINE_LENGTH 80
#define | LV_COMPAT_CYL 0xFFFE
#define | VOLSER_LENGTH 6
#define | VTOC_START_CC 0x0
#define | VTOC_START_HH 0x1

## Functions

struct | __attribute__ ((packed)) ttr
u_int64_t | cchh2blk (cchh_t *p, struct fdasd_hd_geometry *geo)
u_int32_t | cchh2trk (cchh_t *p, struct fdasd_hd_geometry *geo)
u_int64_t | cchhb2blk (cchhb_t *p, struct fdasd_hd_geometry *geo)
char * | vtoc_ebcdic_dec (char const *source, char *target, int l)
char * | vtoc_ebcdic_enc (char const *source, char *target, int l)
u_int32_t | vtoc_get_cyl_from_cchh (cchh_t *addr)
u_int32_t | vtoc_get_cyl_from_cchhb (cchhb_t *addr)
u_int16_t | vtoc_get_head_from_cchh (cchh_t *addr)
u_int16_t | vtoc_get_head_from_cchhb (cchhb_t *addr)
void | vtoc_init_format1_label (unsigned int blksize, extent_t *part_extent, format1_label_t *f1)
void | vtoc_init_format4_label (format4_label_t *f4lbl, unsigned int compat_cylinders, unsigned int real_cylinders, unsigned int tracks, unsigned int blocks, unsigned int blksize, u_int16_t dev_type)
void | vtoc_init_format5_label (format5_label_t *f5)
void | vtoc_init_format7_label (format7_label_t *f7)
void | vtoc_init_format8_label (unsigned int blksize, extent_t *part_extent, format1_label_t *f1)
void | vtoc_init_format9_label (format9_label_t *f9)
void | vtoc_read_label (int fd, unsigned long position, format1_label_t *f1, format4_label_t *f4, format5_label_t *f5, format7_label_t *f7)
int | vtoc_read_volume_label (int fd, unsigned long vlabel_start, volume_label_t *vlabel)
void | vtoc_set_cchh (cchh_t *addr, u_int32_t cc, u_int16_t hh)
void | vtoc_set_cchhb (cchhb_t *addr, u_int32_t cc, u_int16_t hh, u_int8_t b)
void | vtoc_set_date (labeldate_t *d, u_int8_t year, u_int16_t day)
void | vtoc_set_extent (extent_t *ext, u_int8_t typeind, u_int8_t seqno, cchh_t *lower, cchh_t *upper)
void | vtoc_set_freespace (format4_label_t *f4, format5_label_t *f5, format7_label_t *f7, char ch, int verbose, u_int32_t start, u_int32_t stop, u_int32_t cyl, u_int32_t trk)
void | vtoc_update_format4_label (format4_label_t *f4, cchhb_t *highest_f1, u_int16_t unused_update)
void | vtoc_update_format5_label_add (format5_label_t *f5, int verbose, int trk, u_int16_t a, u_int16_t b, u_int8_t c)
void | vtoc_update_format5_label_del (format5_label_t *f5, int verbose, int trk, u_int16_t a, u_int16_t b, u_int8_t c)
void | vtoc_update_format7_label_add (format7_label_t *f7, int verbose, u_int32_t a, u_int32_t b)
void | vtoc_update_format7_label_del (format7_label_t *f7, int verbose, u_int32_t a, u_int32_t b)
void | vtoc_update_format8_label (cchhb_t *associated_f9, format1_label_t *f8)
char * | vtoc_volume_label_get_label (volume_label_t *vlabel, char *lbl)
char * | vtoc_volume_label_get_volser (volume_label_t *vlabel, char *volser)
void | vtoc_volume_label_init (volume_label_t *vlabel)
void | vtoc_volume_label_set_key (volume_label_t *vlabel, char const *key)
void | vtoc_volume_label_set_label (volume_label_t *vlabel, char const *lbl)
void | vtoc_volume_label_set_volser (volume_label_t *vlabel, char const *volser)
void | vtoc_write_label (int fd, unsigned long position, format1_label_t const *f1, format4_label_t const *f4, format5_label_t const *f5, format7_label_t const *f7, format9_label_t const *f9)
int | vtoc_write_volume_label (int fd, unsigned long vlabel_start, volume_label_t const *vlabel)

## Macro Definition Documentation

## BIG_DISK_SIZE

#define BIG_DISK_SIZE 0x10000

## DASD_3380_TYPE

#define DASD_3380_TYPE 13148

## DASD_3380_VALUE

#define DASD_3380_VALUE 0xbb60

## DASD_3390_TYPE

#define DASD_3390_TYPE 13200

## DASD_3390_VALUE

#define DASD_3390_VALUE 0xe5a2

## DASD_9345_TYPE

#define DASD_9345_TYPE 37701

## DASD_9345_VALUE

#define DASD_9345_VALUE 0xbc98

## FIRST_USABLE_CYL

#define FIRST_USABLE_CYL 1

## FIRST_USABLE_TRK

#define FIRST_USABLE_TRK 2

## LINE_LENGTH

#define LINE_LENGTH 80

## LV_COMPAT_CYL

#define LV_COMPAT_CYL 0xFFFE

## VOLSER_LENGTH

#define VOLSER_LENGTH 6

## VTOC_START_CC

#define VTOC_START_CC 0x0

## VTOC_START_HH

#define VTOC_START_HH 0x1

## Function Documentation

## __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

## cchh2blk()

u_int64_t cchh2blk | ( | cchh_t * | p,
|  | struct fdasd_hd_geometry * | geo )

## cchh2trk()

u_int32_t cchh2trk | ( | cchh_t * | p,
|  | struct fdasd_hd_geometry * | geo )

## cchhb2blk()

u_int64_t cchhb2blk | ( | cchhb_t * | p,
|  | struct fdasd_hd_geometry * | geo )

## vtoc_ebcdic_dec()

char * vtoc_ebcdic_dec | ( | char const * | source,
|  | char * | target,
|  | int | l )

## vtoc_ebcdic_enc()

char * vtoc_ebcdic_enc | ( | char const * | source,
|  | char * | target,
|  | int | l )

## vtoc_get_cyl_from_cchh()

u_int32_t vtoc_get_cyl_from_cchh | ( | cchh_t * | addr | ) |

## vtoc_get_cyl_from_cchhb()

u_int32_t vtoc_get_cyl_from_cchhb | ( | cchhb_t * | addr | ) |

## vtoc_get_head_from_cchh()

u_int16_t vtoc_get_head_from_cchh | ( | cchh_t * | addr | ) |

## vtoc_get_head_from_cchhb()

u_int16_t vtoc_get_head_from_cchhb | ( | cchhb_t * | addr | ) |

## vtoc_init_format1_label()

void vtoc_init_format1_label | ( | unsigned int | blksize,
|  | extent_t * | part_extent,
|  | format1_label_t * | f1 )

## vtoc_init_format4_label()

void vtoc_init_format4_label | ( | format4_label_t * | f4lbl,
|  | unsigned int | compat_cylinders,
|  | unsigned int | real_cylinders,
|  | unsigned int | tracks,
|  | unsigned int | blocks,
|  | unsigned int | blksize,
|  | u_int16_t | dev_type )

## vtoc_init_format5_label()

void vtoc_init_format5_label | ( | format5_label_t * | f5 | ) |

## vtoc_init_format7_label()

void vtoc_init_format7_label | ( | format7_label_t * | f7 | ) |

## vtoc_init_format8_label()

void vtoc_init_format8_label | ( | unsigned int | blksize,
|  | extent_t * | part_extent,
|  | format1_label_t * | f1 )

## vtoc_init_format9_label()

void vtoc_init_format9_label | ( | format9_label_t * | f9 | ) |

## vtoc_read_label()

void vtoc_read_label | ( | int | fd,
|  | unsigned long | position,
|  | format1_label_t * | f1,
|  | format4_label_t * | f4,
|  | format5_label_t * | f5,
|  | format7_label_t * | f7 )

## vtoc_read_volume_label()

int vtoc_read_volume_label | ( | int | fd,
|  | unsigned long | vlabel_start,
|  | volume_label_t * | vlabel )

## vtoc_set_cchh()

void vtoc_set_cchh | ( | cchh_t * | addr,
|  | u_int32_t | cc,
|  | u_int16_t | hh )

## vtoc_set_cchhb()

void vtoc_set_cchhb | ( | cchhb_t * | addr,
|  | u_int32_t | cc,
|  | u_int16_t | hh,
|  | u_int8_t | b )

## vtoc_set_date()

void vtoc_set_date | ( | labeldate_t * | d,
|  | u_int8_t | year,
|  | u_int16_t | day )

## vtoc_set_extent()

void vtoc_set_extent | ( | extent_t * | ext,
|  | u_int8_t | typeind,
|  | u_int8_t | seqno,
|  | cchh_t * | lower,
|  | cchh_t * | upper )

## vtoc_set_freespace()

void vtoc_set_freespace | ( | format4_label_t * | f4,
|  | format5_label_t * | f5,
|  | format7_label_t * | f7,
|  | char | ch,
|  | int | verbose,
|  | u_int32_t | start,
|  | u_int32_t | stop,
|  | u_int32_t | cyl,
|  | u_int32_t | trk )

## vtoc_update_format4_label()

void vtoc_update_format4_label | ( | format4_label_t * | f4,
|  | cchhb_t * | highest_f1,
|  | u_int16_t | unused_update )

## vtoc_update_format5_label_add()

void vtoc_update_format5_label_add | ( | format5_label_t * | f5,
|  | int | verbose,
|  | int | trk,
|  | u_int16_t | a,
|  | u_int16_t | b,
|  | u_int8_t | c )

## vtoc_update_format5_label_del()

void vtoc_update_format5_label_del | ( | format5_label_t * | f5,
|  | int | verbose,
|  | int | trk,
|  | u_int16_t | a,
|  | u_int16_t | b,
|  | u_int8_t | c )

## vtoc_update_format7_label_add()

void vtoc_update_format7_label_add | ( | format7_label_t * | f7,
|  | int | verbose,
|  | u_int32_t | a,
|  | u_int32_t | b )

## vtoc_update_format7_label_del()

void vtoc_update_format7_label_del | ( | format7_label_t * | f7,
|  | int | verbose,
|  | u_int32_t | a,
|  | u_int32_t | b )

## vtoc_update_format8_label()

void vtoc_update_format8_label | ( | cchhb_t * | associated_f9,
|  | format1_label_t * | f8 )

## vtoc_volume_label_get_label()

char * vtoc_volume_label_get_label | ( | volume_label_t * | vlabel,
|  | char * | lbl )

## vtoc_volume_label_get_volser()

char * vtoc_volume_label_get_volser | ( | volume_label_t * | vlabel,
|  | char * | volser )

## vtoc_volume_label_init()

void vtoc_volume_label_init | ( | volume_label_t * | vlabel | ) |

## vtoc_volume_label_set_key()

void vtoc_volume_label_set_key | ( | volume_label_t * | vlabel,
|  | char const * | key )

## vtoc_volume_label_set_label()

void vtoc_volume_label_set_label | ( | volume_label_t * | vlabel,
|  | char const * | lbl )

## vtoc_volume_label_set_volser()

void vtoc_volume_label_set_volser | ( | volume_label_t * | vlabel,
|  | char const * | volser )

## vtoc_write_label()

void vtoc_write_label | ( | int | fd,
|  | unsigned long | position,
|  | format1_label_t const * | f1,
|  | format4_label_t const * | f4,
|  | format5_label_t const * | f5,
|  | format7_label_t const * | f7,
|  | format9_label_t const * | f9 )

## vtoc_write_volume_label()

int vtoc_write_volume_label | ( | int | fd,
|  | unsigned long | vlabel_start,
|  | volume_label_t const * | vlabel )